Bug 200620 - [WTF] Add makeUnique<T>, which ensures T is fast-allocated
Summary: [WTF] Add makeUnique<T>, which ensures T is fast-allocated
Status: REOPENED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Web Template Framework (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Yusuke Suzuki
URL:
Keywords: InRadar
Depends on: 200611
Blocks:
  Show dependency treegraph
 
Reported: 2019-08-10 19:42 PDT by Yusuke Suzuki
Modified: 2019-08-16 02:17 PDT (History)
6 users (show)

See Also:


Attachments
Patch (1.64 MB, patch)
2019-08-13 00:55 PDT, Yusuke Suzuki
no flags Details | Formatted Diff | Diff
Patch (1.64 MB, patch)
2019-08-13 01:15 PDT, Yusuke Suzuki
no flags Details | Formatted Diff | Diff
Patch (1.65 MB, patch)
2019-08-13 01:32 PDT, Yusuke Suzuki
no flags Details | Formatted Diff | Diff
Patch (1.65 MB, patch)
2019-08-13 01:57 PDT, Yusuke Suzuki
no flags Details | Formatted Diff | Diff
Patch (1.65 MB, patch)
2019-08-13 02:19 PDT, Yusuke Suzuki
no flags Details | Formatted Diff | Diff
Patch (1.65 MB, patch)
2019-08-13 02:43 PDT, Yusuke Suzuki
no flags Details | Formatted Diff | Diff
Patch (1.68 MB, patch)
2019-08-13 05:08 PDT, Yusuke Suzuki
no flags Details | Formatted Diff | Diff
Patch (1.68 MB, patch)
2019-08-13 05:15 PDT, Yusuke Suzuki
no flags Details | Formatted Diff | Diff
Patch (1.68 MB, patch)
2019-08-13 12:12 PDT, Yusuke Suzuki
no flags Details | Formatted Diff | Diff
Patch (1.70 MB, patch)
2019-08-14 15:37 PDT, Yusuke Suzuki
no flags Details | Formatted Diff | Diff
Patch (1.71 MB, patch)
2019-08-14 17:48 PDT, Yusuke Suzuki
no flags Details | Formatted Diff | Diff
Patch (1.71 MB, patch)
2019-08-14 18:21 PDT, Yusuke Suzuki
no flags Details | Formatted Diff | Diff
Patch (1.71 MB, patch)
2019-08-14 21:35 PDT, Yusuke Suzuki
no flags Details | Formatted Diff | Diff
Patch (1.71 MB, patch)
2019-08-14 23:26 PDT, Yusuke Suzuki
no flags Details | Formatted Diff | Diff
Patch (1.71 MB, patch)
2019-08-14 23:31 PDT, Yusuke Suzuki
no flags Details | Formatted Diff | Diff
Patch (1.72 MB, patch)
2019-08-15 00:03 PDT, Yusuke Suzuki
no flags Details | Formatted Diff | Diff
Patch (1.72 MB, patch)
2019-08-15 01:06 PDT, Yusuke Suzuki
no flags Details | Formatted Diff | Diff
Patch (1.72 MB, patch)
2019-08-15 13:46 PDT, Yusuke Suzuki
ggaren: review+
Details | Formatted Diff | Diff
A: Annotation Patch (308.45 KB, patch)
2019-08-15 20:31 PDT, Yusuke Suzuki
no flags Details | Formatted Diff | Diff
B: makeUnique / makeUniqueWithoutFastMallocCheck (1.48 MB, patch)
2019-08-16 02:05 PDT, Yusuke Suzuki
no flags Details | Formatted Diff | Diff
B: makeUnique / makeUniqueWithoutFastMallocCheck (1.48 MB, patch)
2019-08-16 02:10 PDT, Yusuke Suzuki
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yusuke Suzuki 2019-08-10 19:42:13 PDT
...
Comment 1 Yusuke Suzuki 2019-08-11 03:06:59 PDT
I tried and it finds many classes / structs that are not allocated from FastMalloc. It is worth doing.
Comment 2 Yusuke Suzuki 2019-08-13 00:55:09 PDT
Created attachment 376144 [details]
Patch
Comment 3 Build Bot 2019-08-13 01:01:28 PDT
Attachment 376144 [details] did not pass style-queue:


ERROR: Source/WebCore/page/UserContentController.cpp:76:  More than one command on the same line  [whitespace/newline] [4]
ERROR: Source/WebCore/page/UserContentController.cpp:103:  More than one command on the same line  [whitespace/newline] [4]
ERROR: Source/WebCore/fileapi/AsyncFileStream.cpp:97:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebCore/layout/layouttree/LayoutBox.cpp:426:  More than one command on the same line  [whitespace/newline] [4]
ERROR: Source/WTF/wtf/FastMalloc.h:304:  __fastAllocatedClass is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/WTF/wtf/FastMalloc.h:310:  __fastAllocatedClass is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Tools/TestWebKitAPI/Tests/WTF/HashMap.cpp:566:  More than one command on the same line  [whitespace/newline] [4]
ERROR: Tools/TestWebKitAPI/Tests/WTF/HashMap.cpp:571:  More than one command on the same line  [whitespace/newline] [4]
ERROR: Tools/TestWebKitAPI/Tests/WTF/HashMap.cpp:608:  More than one command on the same line  [whitespace/newline] [4]
ERROR: Source/bmalloc/bmalloc/IsoHeap.h:85:  __fastAllocatedClass is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/WebCore/dom/KeyboardEvent.cpp:99:  Code inside a namespace should not be indented.  [whitespace/indent] [4]
ERROR: Source/WebCore/page/animation/CSSPropertyAnimation.cpp:977:  Wrong number of spaces before statement. (expected: 12)  [whitespace/indent] [4]
ERROR: Source/WebCore/page/animation/CSSPropertyAnimation.cpp:978:  Wrong number of spaces before statement. (expected: 12)  [whitespace/indent] [4]
ERROR: Source/WebCore/page/animation/CSSPropertyAnimation.cpp:984:  Wrong number of spaces before statement. (expected: 12)  [whitespace/indent] [4]
ERROR: Source/WebCore/page/animation/CSSPropertyAnimation.cpp:985:  Wrong number of spaces before statement. (expected: 12)  [whitespace/indent] [4]
ERROR: Source/WebCore/rendering/RenderObject.cpp:1896:  More than one command on the same line  [whitespace/newline] [4]
ERROR: Source/bmalloc/bmalloc/IsoHeapInlines.h:126:  __fastAllocatedClass is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/WebKitLegacy/Storage/StorageThread.cpp:78:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKitLegacy/Storage/StorageThread.cpp:90:  Extra space before ( in function call  [whitespace/parens] [4]
WARNING: File exempt from style guide. Skipping: "Tools/TestWebKitAPI/Tests/WebKitGtk/DOMDOMWindowTest.cpp"
ERROR: Source/WebCore/platform/audio/DenormalDisabler.h:44:  Failed to find complete declaration of class DenormalDisabler  [build/class] [5]
ERROR: Source/WebCore/page/Page.cpp:273:  Code inside a namespace should not be indented.  [whitespace/indent] [4]
ERROR: Source/WebCore/platform/image-decoders/gif/GIFImageReader.cpp:0:  No copyright message found.  You should have a line: "Copyright [year] <Copyright Owner>"  [legal/copyright] [5]
Total errors found: 22 in 1242 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 4 Yusuke Suzuki 2019-08-13 01:15:10 PDT
Created attachment 376145 [details]
Patch
Comment 5 Build Bot 2019-08-13 01:22:34 PDT
Attachment 376145 [details] did not pass style-queue:


ERROR: Source/WebCore/page/UserContentController.cpp:76:  More than one command on the same line  [whitespace/newline] [4]
ERROR: Source/WebCore/page/UserContentController.cpp:103:  More than one command on the same line  [whitespace/newline] [4]
ERROR: Source/WebCore/fileapi/AsyncFileStream.cpp:97:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebCore/layout/layouttree/LayoutBox.cpp:426:  More than one command on the same line  [whitespace/newline] [4]
ERROR: Source/WTF/wtf/FastMalloc.h:304:  __fastAllocatedClass is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/WTF/wtf/FastMalloc.h:310:  __fastAllocatedClass is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Tools/TestWebKitAPI/Tests/WTF/HashMap.cpp:566:  More than one command on the same line  [whitespace/newline] [4]
ERROR: Tools/TestWebKitAPI/Tests/WTF/HashMap.cpp:571:  More than one command on the same line  [whitespace/newline] [4]
ERROR: Tools/TestWebKitAPI/Tests/WTF/HashMap.cpp:608:  More than one command on the same line  [whitespace/newline] [4]
ERROR: Source/bmalloc/bmalloc/IsoHeap.h:85:  __fastAllocatedClass is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/WebCore/dom/KeyboardEvent.cpp:99:  Code inside a namespace should not be indented.  [whitespace/indent] [4]
ERROR: Source/WebCore/page/animation/CSSPropertyAnimation.cpp:977:  Wrong number of spaces before statement. (expected: 12)  [whitespace/indent] [4]
ERROR: Source/WebCore/page/animation/CSSPropertyAnimation.cpp:978:  Wrong number of spaces before statement. (expected: 12)  [whitespace/indent] [4]
ERROR: Source/WebCore/page/animation/CSSPropertyAnimation.cpp:984:  Wrong number of spaces before statement. (expected: 12)  [whitespace/indent] [4]
ERROR: Source/WebCore/page/animation/CSSPropertyAnimation.cpp:985:  Wrong number of spaces before statement. (expected: 12)  [whitespace/indent] [4]
ERROR: Source/WebCore/rendering/RenderObject.cpp:1896:  More than one command on the same line  [whitespace/newline] [4]
ERROR: Source/bmalloc/bmalloc/IsoHeapInlines.h:126:  __fastAllocatedClass is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/WebKitLegacy/Storage/StorageThread.cpp:78:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKitLegacy/Storage/StorageThread.cpp:90:  Extra space before ( in function call  [whitespace/parens] [4]
WARNING: File exempt from style guide. Skipping: "Tools/TestWebKitAPI/Tests/WebKitGtk/DOMDOMWindowTest.cpp"
ERROR: Source/WebCore/platform/audio/DenormalDisabler.h:44:  Failed to find complete declaration of class DenormalDisabler  [build/class] [5]
ERROR: Source/WebCore/page/Page.cpp:273:  Code inside a namespace should not be indented.  [whitespace/indent] [4]
ERROR: Source/WebCore/platform/image-decoders/gif/GIFImageReader.cpp:0:  No copyright message found.  You should have a line: "Copyright [year] <Copyright Owner>"  [legal/copyright] [5]
Total errors found: 22 in 1242 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 6 Yusuke Suzuki 2019-08-13 01:32:36 PDT
Created attachment 376147 [details]
Patch
Comment 7 Build Bot 2019-08-13 01:39:04 PDT
Attachment 376147 [details] did not pass style-queue:


ERROR: Source/WebCore/page/UserContentController.cpp:76:  More than one command on the same line  [whitespace/newline] [4]
ERROR: Source/WebCore/page/UserContentController.cpp:103:  More than one command on the same line  [whitespace/newline] [4]
ERROR: Source/WebCore/fileapi/AsyncFileStream.cpp:97:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebCore/layout/layouttree/LayoutBox.cpp:426:  More than one command on the same line  [whitespace/newline] [4]
ERROR: Source/WTF/wtf/FastMalloc.h:304:  __fastAllocatedClass is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/WTF/wtf/FastMalloc.h:310:  __fastAllocatedClass is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Tools/TestWebKitAPI/Tests/WTF/HashMap.cpp:566:  More than one command on the same line  [whitespace/newline] [4]
ERROR: Tools/TestWebKitAPI/Tests/WTF/HashMap.cpp:571:  More than one command on the same line  [whitespace/newline] [4]
ERROR: Tools/TestWebKitAPI/Tests/WTF/HashMap.cpp:608:  More than one command on the same line  [whitespace/newline] [4]
ERROR: Source/bmalloc/bmalloc/IsoHeap.h:85:  __fastAllocatedClass is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/WebCore/dom/KeyboardEvent.cpp:99:  Code inside a namespace should not be indented.  [whitespace/indent] [4]
ERROR: Source/WebCore/page/animation/CSSPropertyAnimation.cpp:977:  Wrong number of spaces before statement. (expected: 12)  [whitespace/indent] [4]
ERROR: Source/WebCore/page/animation/CSSPropertyAnimation.cpp:978:  Wrong number of spaces before statement. (expected: 12)  [whitespace/indent] [4]
ERROR: Source/WebCore/page/animation/CSSPropertyAnimation.cpp:984:  Wrong number of spaces before statement. (expected: 12)  [whitespace/indent] [4]
ERROR: Source/WebCore/page/animation/CSSPropertyAnimation.cpp:985:  Wrong number of spaces before statement. (expected: 12)  [whitespace/indent] [4]
ERROR: Source/WebCore/rendering/RenderObject.cpp:1896:  More than one command on the same line  [whitespace/newline] [4]
ERROR: Source/bmalloc/bmalloc/IsoHeapInlines.h:126:  __fastAllocatedClass is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/WebKitLegacy/Storage/StorageThread.cpp:78:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKitLegacy/Storage/StorageThread.cpp:90:  Extra space before ( in function call  [whitespace/parens] [4]
WARNING: File exempt from style guide. Skipping: "Tools/TestWebKitAPI/Tests/WebKitGtk/DOMDOMWindowTest.cpp"
ERROR: Source/WebCore/platform/audio/DenormalDisabler.h:44:  Failed to find complete declaration of class DenormalDisabler  [build/class] [5]
ERROR: Source/WebCore/page/Page.cpp:273:  Code inside a namespace should not be indented.  [whitespace/indent] [4]
ERROR: Source/WebCore/platform/image-decoders/gif/GIFImageReader.cpp:0:  No copyright message found.  You should have a line: "Copyright [year] <Copyright Owner>"  [legal/copyright] [5]
Total errors found: 22 in 1244 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 8 Yusuke Suzuki 2019-08-13 01:57:18 PDT
Created attachment 376151 [details]
Patch
Comment 9 Yusuke Suzuki 2019-08-13 02:19:57 PDT
Created attachment 376153 [details]
Patch
Comment 10 Build Bot 2019-08-13 02:26:03 PDT
Attachment 376153 [details] did not pass style-queue:


ERROR: Source/WebCore/page/UserContentController.cpp:76:  More than one command on the same line  [whitespace/newline] [4]
ERROR: Source/WebCore/page/UserContentController.cpp:103:  More than one command on the same line  [whitespace/newline] [4]
ERROR: Source/WebCore/fileapi/AsyncFileStream.cpp:97:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebCore/layout/layouttree/LayoutBox.cpp:426:  More than one command on the same line  [whitespace/newline] [4]
ERROR: Source/WTF/wtf/FastMalloc.h:304:  __fastAllocatedClass is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/WTF/wtf/FastMalloc.h:310:  __fastAllocatedClass is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Tools/TestWebKitAPI/Tests/WTF/HashMap.cpp:566:  More than one command on the same line  [whitespace/newline] [4]
ERROR: Tools/TestWebKitAPI/Tests/WTF/HashMap.cpp:571:  More than one command on the same line  [whitespace/newline] [4]
ERROR: Tools/TestWebKitAPI/Tests/WTF/HashMap.cpp:608:  More than one command on the same line  [whitespace/newline] [4]
ERROR: Source/bmalloc/bmalloc/IsoHeap.h:85:  __fastAllocatedClass is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/WebCore/dom/KeyboardEvent.cpp:99:  Code inside a namespace should not be indented.  [whitespace/indent] [4]
ERROR: Source/WebCore/page/animation/CSSPropertyAnimation.cpp:977:  Wrong number of spaces before statement. (expected: 12)  [whitespace/indent] [4]
ERROR: Source/WebCore/page/animation/CSSPropertyAnimation.cpp:978:  Wrong number of spaces before statement. (expected: 12)  [whitespace/indent] [4]
ERROR: Source/WebCore/page/animation/CSSPropertyAnimation.cpp:984:  Wrong number of spaces before statement. (expected: 12)  [whitespace/indent] [4]
ERROR: Source/WebCore/page/animation/CSSPropertyAnimation.cpp:985:  Wrong number of spaces before statement. (expected: 12)  [whitespace/indent] [4]
ERROR: Source/WebCore/rendering/RenderObject.cpp:1896:  More than one command on the same line  [whitespace/newline] [4]
ERROR: Source/bmalloc/bmalloc/IsoHeapInlines.h:126:  __fastAllocatedClass is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/WebKitLegacy/Storage/StorageThread.cpp:78:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKitLegacy/Storage/StorageThread.cpp:90:  Extra space before ( in function call  [whitespace/parens] [4]
WARNING: File exempt from style guide. Skipping: "Tools/TestWebKitAPI/Tests/WebKitGtk/DOMDOMWindowTest.cpp"
ERROR: Source/WebCore/platform/audio/DenormalDisabler.h:44:  Failed to find complete declaration of class DenormalDisabler  [build/class] [5]
ERROR: Source/WebCore/page/Page.cpp:273:  Code inside a namespace should not be indented.  [whitespace/indent] [4]
ERROR: Source/WebCore/platform/image-decoders/gif/GIFImageReader.cpp:0:  No copyright message found.  You should have a line: "Copyright [year] <Copyright Owner>"  [legal/copyright] [5]
Total errors found: 22 in 1246 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 11 Yusuke Suzuki 2019-08-13 02:43:59 PDT
Created attachment 376154 [details]
Patch
Comment 12 Build Bot 2019-08-13 02:50:16 PDT
Attachment 376154 [details] did not pass style-queue:


ERROR: Source/WebCore/page/UserContentController.cpp:76:  More than one command on the same line  [whitespace/newline] [4]
ERROR: Source/WebCore/page/UserContentController.cpp:103:  More than one command on the same line  [whitespace/newline] [4]
ERROR: Source/WebCore/fileapi/AsyncFileStream.cpp:97:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebCore/layout/layouttree/LayoutBox.cpp:426:  More than one command on the same line  [whitespace/newline] [4]
ERROR: Source/WTF/wtf/FastMalloc.h:304:  __fastAllocatedClass is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/WTF/wtf/FastMalloc.h:310:  __fastAllocatedClass is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Tools/TestWebKitAPI/Tests/WTF/HashMap.cpp:566:  More than one command on the same line  [whitespace/newline] [4]
ERROR: Tools/TestWebKitAPI/Tests/WTF/HashMap.cpp:571:  More than one command on the same line  [whitespace/newline] [4]
ERROR: Tools/TestWebKitAPI/Tests/WTF/HashMap.cpp:608:  More than one command on the same line  [whitespace/newline] [4]
ERROR: Source/bmalloc/bmalloc/IsoHeap.h:85:  __fastAllocatedClass is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/WebCore/dom/KeyboardEvent.cpp:99:  Code inside a namespace should not be indented.  [whitespace/indent] [4]
ERROR: Source/WebCore/page/animation/CSSPropertyAnimation.cpp:977:  Wrong number of spaces before statement. (expected: 12)  [whitespace/indent] [4]
ERROR: Source/WebCore/page/animation/CSSPropertyAnimation.cpp:978:  Wrong number of spaces before statement. (expected: 12)  [whitespace/indent] [4]
ERROR: Source/WebCore/page/animation/CSSPropertyAnimation.cpp:984:  Wrong number of spaces before statement. (expected: 12)  [whitespace/indent] [4]
ERROR: Source/WebCore/page/animation/CSSPropertyAnimation.cpp:985:  Wrong number of spaces before statement. (expected: 12)  [whitespace/indent] [4]
ERROR: Source/WebCore/rendering/RenderObject.cpp:1896:  More than one command on the same line  [whitespace/newline] [4]
ERROR: Source/bmalloc/bmalloc/IsoHeapInlines.h:126:  __fastAllocatedClass is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/WebKitLegacy/Storage/StorageThread.cpp:78:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKitLegacy/Storage/StorageThread.cpp:90:  Extra space before ( in function call  [whitespace/parens] [4]
WARNING: File exempt from style guide. Skipping: "Tools/TestWebKitAPI/Tests/WebKitGtk/DOMDOMWindowTest.cpp"
ERROR: Source/WebCore/platform/audio/DenormalDisabler.h:44:  Failed to find complete declaration of class DenormalDisabler  [build/class] [5]
ERROR: Source/WebCore/page/Page.cpp:273:  Code inside a namespace should not be indented.  [whitespace/indent] [4]
ERROR: Source/WebCore/platform/image-decoders/gif/GIFImageReader.cpp:0:  No copyright message found.  You should have a line: "Copyright [year] <Copyright Owner>"  [legal/copyright] [5]
Total errors found: 22 in 1251 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 13 Yusuke Suzuki 2019-08-13 05:08:25 PDT
Created attachment 376156 [details]
Patch
Comment 14 Yusuke Suzuki 2019-08-13 05:15:57 PDT
Created attachment 376157 [details]
Patch
Comment 15 Build Bot 2019-08-13 05:21:23 PDT
Attachment 376157 [details] did not pass style-queue:


ERROR: Source/WebCore/page/UserContentController.cpp:76:  More than one command on the same line  [whitespace/newline] [4]
ERROR: Source/WebCore/page/UserContentController.cpp:103:  More than one command on the same line  [whitespace/newline] [4]
ERROR: Source/WebCore/fileapi/AsyncFileStream.cpp:97:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebCore/layout/layouttree/LayoutBox.cpp:426:  More than one command on the same line  [whitespace/newline] [4]
ERROR: Source/WTF/wtf/FastMalloc.h:304:  __fastAllocatedClass is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/WTF/wtf/FastMalloc.h:310:  __fastAllocatedClass is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Tools/TestWebKitAPI/Tests/WTF/HashMap.cpp:566:  More than one command on the same line  [whitespace/newline] [4]
ERROR: Tools/TestWebKitAPI/Tests/WTF/HashMap.cpp:571:  More than one command on the same line  [whitespace/newline] [4]
ERROR: Tools/TestWebKitAPI/Tests/WTF/HashMap.cpp:608:  More than one command on the same line  [whitespace/newline] [4]
ERROR: Source/bmalloc/bmalloc/IsoHeap.h:85:  __fastAllocatedClass is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/WebCore/dom/KeyboardEvent.cpp:99:  Code inside a namespace should not be indented.  [whitespace/indent] [4]
ERROR: Source/WebCore/page/animation/CSSPropertyAnimation.cpp:977:  Wrong number of spaces before statement. (expected: 12)  [whitespace/indent] [4]
ERROR: Source/WebCore/page/animation/CSSPropertyAnimation.cpp:978:  Wrong number of spaces before statement. (expected: 12)  [whitespace/indent] [4]
ERROR: Source/WebCore/page/animation/CSSPropertyAnimation.cpp:984:  Wrong number of spaces before statement. (expected: 12)  [whitespace/indent] [4]
ERROR: Source/WebCore/page/animation/CSSPropertyAnimation.cpp:985:  Wrong number of spaces before statement. (expected: 12)  [whitespace/indent] [4]
ERROR: Source/WebCore/rendering/RenderObject.cpp:1896:  More than one command on the same line  [whitespace/newline] [4]
ERROR: Source/bmalloc/bmalloc/IsoHeapInlines.h:126:  __fastAllocatedClass is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/WebKitLegacy/Storage/StorageThread.cpp:78:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKitLegacy/Storage/StorageThread.cpp:90:  Extra space before ( in function call  [whitespace/parens] [4]
WARNING: File exempt from style guide. Skipping: "Tools/TestWebKitAPI/Tests/WebKitGtk/DOMDOMWindowTest.cpp"
ERROR: Source/WebCore/platform/audio/DenormalDisabler.h:44:  Failed to find complete declaration of class DenormalDisabler  [build/class] [5]
ERROR: Source/WebCore/page/Page.cpp:273:  Code inside a namespace should not be indented.  [whitespace/indent] [4]
ERROR: Source/WebCore/platform/image-decoders/gif/GIFImageReader.cpp:0:  No copyright message found.  You should have a line: "Copyright [year] <Copyright Owner>"  [legal/copyright] [5]
Total errors found: 22 in 1286 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 16 Yusuke Suzuki 2019-08-13 12:12:00 PDT
Created attachment 376192 [details]
Patch
Comment 17 Build Bot 2019-08-13 12:18:01 PDT
Attachment 376192 [details] did not pass style-queue:


ERROR: Source/WebCore/page/UserContentController.cpp:76:  More than one command on the same line  [whitespace/newline] [4]
ERROR: Source/WebCore/page/UserContentController.cpp:103:  More than one command on the same line  [whitespace/newline] [4]
ERROR: Source/WebCore/fileapi/AsyncFileStream.cpp:97:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebCore/layout/layouttree/LayoutBox.cpp:450:  More than one command on the same line  [whitespace/newline] [4]
ERROR: Source/WTF/wtf/FastMalloc.h:304:  __fastAllocatedClass is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/WTF/wtf/FastMalloc.h:310:  __fastAllocatedClass is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Tools/TestWebKitAPI/Tests/WTF/HashMap.cpp:566:  More than one command on the same line  [whitespace/newline] [4]
ERROR: Tools/TestWebKitAPI/Tests/WTF/HashMap.cpp:571:  More than one command on the same line  [whitespace/newline] [4]
ERROR: Tools/TestWebKitAPI/Tests/WTF/HashMap.cpp:608:  More than one command on the same line  [whitespace/newline] [4]
ERROR: Source/bmalloc/bmalloc/IsoHeap.h:85:  __fastAllocatedClass is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/WebCore/dom/KeyboardEvent.cpp:99:  Code inside a namespace should not be indented.  [whitespace/indent] [4]
ERROR: Source/WebCore/page/animation/CSSPropertyAnimation.cpp:977:  Wrong number of spaces before statement. (expected: 12)  [whitespace/indent] [4]
ERROR: Source/WebCore/page/animation/CSSPropertyAnimation.cpp:978:  Wrong number of spaces before statement. (expected: 12)  [whitespace/indent] [4]
ERROR: Source/WebCore/page/animation/CSSPropertyAnimation.cpp:984:  Wrong number of spaces before statement. (expected: 12)  [whitespace/indent] [4]
ERROR: Source/WebCore/page/animation/CSSPropertyAnimation.cpp:985:  Wrong number of spaces before statement. (expected: 12)  [whitespace/indent] [4]
ERROR: Source/WebCore/rendering/RenderObject.cpp:1896:  More than one command on the same line  [whitespace/newline] [4]
ERROR: Source/bmalloc/bmalloc/IsoHeapInlines.h:126:  __fastAllocatedClass is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/WebKitLegacy/Storage/StorageThread.cpp:78:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKitLegacy/Storage/StorageThread.cpp:90:  Extra space before ( in function call  [whitespace/parens] [4]
WARNING: File exempt from style guide. Skipping: "Tools/TestWebKitAPI/Tests/WebKitGtk/DOMDOMWindowTest.cpp"
ERROR: Source/WebCore/platform/audio/DenormalDisabler.h:44:  Failed to find complete declaration of class DenormalDisabler  [build/class] [5]
ERROR: Source/WebCore/page/Page.cpp:273:  Code inside a namespace should not be indented.  [whitespace/indent] [4]
ERROR: Source/WebCore/platform/image-decoders/gif/GIFImageReader.cpp:0:  No copyright message found.  You should have a line: "Copyright [year] <Copyright Owner>"  [legal/copyright] [5]
Total errors found: 22 in 1288 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 18 Yusuke Suzuki 2019-08-14 15:37:27 PDT
Created attachment 376323 [details]
Patch
Comment 19 Build Bot 2019-08-14 15:45:02 PDT
Attachment 376323 [details] did not pass style-queue:


ERROR: Source/WebCore/page/UserContentController.cpp:76:  More than one command on the same line  [whitespace/newline] [4]
ERROR: Source/WebCore/page/UserContentController.cpp:103:  More than one command on the same line  [whitespace/newline] [4]
ERROR: Source/WebCore/fileapi/AsyncFileStream.cpp:97:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebCore/layout/layouttree/LayoutBox.cpp:450:  More than one command on the same line  [whitespace/newline] [4]
ERROR: Source/WTF/wtf/FastMalloc.h:304:  __fastAllocatedClass is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/WTF/wtf/FastMalloc.h:310:  __fastAllocatedClass is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Tools/TestWebKitAPI/Tests/WTF/HashMap.cpp:566:  More than one command on the same line  [whitespace/newline] [4]
ERROR: Tools/TestWebKitAPI/Tests/WTF/HashMap.cpp:571:  More than one command on the same line  [whitespace/newline] [4]
ERROR: Tools/TestWebKitAPI/Tests/WTF/HashMap.cpp:608:  More than one command on the same line  [whitespace/newline] [4]
ERROR: Source/bmalloc/bmalloc/IsoHeap.h:85:  __fastAllocatedClass is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/WebCore/dom/KeyboardEvent.cpp:99:  Code inside a namespace should not be indented.  [whitespace/indent] [4]
ERROR: Source/WebCore/page/animation/CSSPropertyAnimation.cpp:977:  Wrong number of spaces before statement. (expected: 12)  [whitespace/indent] [4]
ERROR: Source/WebCore/page/animation/CSSPropertyAnimation.cpp:978:  Wrong number of spaces before statement. (expected: 12)  [whitespace/indent] [4]
ERROR: Source/WebCore/page/animation/CSSPropertyAnimation.cpp:984:  Wrong number of spaces before statement. (expected: 12)  [whitespace/indent] [4]
ERROR: Source/WebCore/page/animation/CSSPropertyAnimation.cpp:985:  Wrong number of spaces before statement. (expected: 12)  [whitespace/indent] [4]
ERROR: Source/WebCore/rendering/RenderObject.cpp:1896:  More than one command on the same line  [whitespace/newline] [4]
ERROR: Source/bmalloc/bmalloc/IsoHeapInlines.h:126:  __fastAllocatedClass is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/WebKitLegacy/Storage/StorageThread.cpp:78:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKitLegacy/Storage/StorageThread.cpp:90:  Extra space before ( in function call  [whitespace/parens] [4]
WARNING: File exempt from style guide. Skipping: "Tools/TestWebKitAPI/Tests/WebKitGtk/DOMDOMWindowTest.cpp"
ERROR: Source/WebCore/platform/audio/DenormalDisabler.h:44:  Failed to find complete declaration of class DenormalDisabler  [build/class] [5]
ERROR: Source/WebCore/page/Page.cpp:273:  Code inside a namespace should not be indented.  [whitespace/indent] [4]
ERROR: Source/WebCore/platform/image-decoders/gif/GIFImageReader.cpp:0:  No copyright message found.  You should have a line: "Copyright [year] <Copyright Owner>"  [legal/copyright] [5]
Total errors found: 22 in 1309 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 20 Yusuke Suzuki 2019-08-14 17:48:27 PDT
Created attachment 376337 [details]
Patch
Comment 21 Yusuke Suzuki 2019-08-14 18:21:18 PDT
Created attachment 376339 [details]
Patch
Comment 22 Build Bot 2019-08-14 18:27:27 PDT
Attachment 376339 [details] did not pass style-queue:


ERROR: Source/WebCore/page/UserContentController.cpp:76:  More than one command on the same line  [whitespace/newline] [4]
ERROR: Source/WebCore/page/UserContentController.cpp:103:  More than one command on the same line  [whitespace/newline] [4]
ERROR: Source/WebCore/fileapi/AsyncFileStream.cpp:97:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebCore/layout/layouttree/LayoutBox.cpp:450:  More than one command on the same line  [whitespace/newline] [4]
ERROR: Source/WTF/wtf/FastMalloc.h:304:  __fastAllocatedClass is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/WTF/wtf/FastMalloc.h:310:  __fastAllocatedClass is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Tools/TestWebKitAPI/Tests/WTF/HashMap.cpp:566:  More than one command on the same line  [whitespace/newline] [4]
ERROR: Tools/TestWebKitAPI/Tests/WTF/HashMap.cpp:571:  More than one command on the same line  [whitespace/newline] [4]
ERROR: Tools/TestWebKitAPI/Tests/WTF/HashMap.cpp:608:  More than one command on the same line  [whitespace/newline] [4]
ERROR: Source/bmalloc/bmalloc/IsoHeap.h:85:  __fastAllocatedClass is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/WebCore/dom/KeyboardEvent.cpp:99:  Code inside a namespace should not be indented.  [whitespace/indent] [4]
ERROR: Source/WebCore/page/animation/CSSPropertyAnimation.cpp:977:  Wrong number of spaces before statement. (expected: 12)  [whitespace/indent] [4]
ERROR: Source/WebCore/page/animation/CSSPropertyAnimation.cpp:978:  Wrong number of spaces before statement. (expected: 12)  [whitespace/indent] [4]
ERROR: Source/WebCore/page/animation/CSSPropertyAnimation.cpp:984:  Wrong number of spaces before statement. (expected: 12)  [whitespace/indent] [4]
ERROR: Source/WebCore/page/animation/CSSPropertyAnimation.cpp:985:  Wrong number of spaces before statement. (expected: 12)  [whitespace/indent] [4]
ERROR: Source/WebCore/rendering/RenderObject.cpp:1896:  More than one command on the same line  [whitespace/newline] [4]
ERROR: Source/bmalloc/bmalloc/IsoHeapInlines.h:126:  __fastAllocatedClass is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/WebKitLegacy/Storage/StorageThread.cpp:78:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKitLegacy/Storage/StorageThread.cpp:90:  Extra space before ( in function call  [whitespace/parens] [4]
WARNING: File exempt from style guide. Skipping: "Tools/TestWebKitAPI/Tests/WebKitGtk/DOMDOMWindowTest.cpp"
ERROR: Source/WebCore/platform/audio/DenormalDisabler.h:44:  Failed to find complete declaration of class DenormalDisabler  [build/class] [5]
ERROR: Source/WebCore/page/Page.cpp:273:  Code inside a namespace should not be indented.  [whitespace/indent] [4]
ERROR: Source/WebCore/platform/image-decoders/gif/GIFImageReader.cpp:0:  No copyright message found.  You should have a line: "Copyright [year] <Copyright Owner>"  [legal/copyright] [5]
Total errors found: 22 in 1312 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 23 Yusuke Suzuki 2019-08-14 21:35:07 PDT
Created attachment 376351 [details]
Patch
Comment 24 Build Bot 2019-08-14 21:40:58 PDT
Attachment 376351 [details] did not pass style-queue:


ERROR: Source/WebCore/page/UserContentController.cpp:76:  More than one command on the same line  [whitespace/newline] [4]
ERROR: Source/WebCore/page/UserContentController.cpp:103:  More than one command on the same line  [whitespace/newline] [4]
ERROR: Source/WebCore/fileapi/AsyncFileStream.cpp:97:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebCore/layout/layouttree/LayoutBox.cpp:450:  More than one command on the same line  [whitespace/newline] [4]
ERROR: Source/WTF/wtf/FastMalloc.h:304:  __fastAllocatedClass is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/WTF/wtf/FastMalloc.h:310:  __fastAllocatedClass is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Tools/TestWebKitAPI/Tests/WTF/HashMap.cpp:566:  More than one command on the same line  [whitespace/newline] [4]
ERROR: Tools/TestWebKitAPI/Tests/WTF/HashMap.cpp:571:  More than one command on the same line  [whitespace/newline] [4]
ERROR: Tools/TestWebKitAPI/Tests/WTF/HashMap.cpp:608:  More than one command on the same line  [whitespace/newline] [4]
ERROR: Source/bmalloc/bmalloc/IsoHeap.h:85:  __fastAllocatedClass is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/WebCore/dom/KeyboardEvent.cpp:99:  Code inside a namespace should not be indented.  [whitespace/indent] [4]
ERROR: Source/WebCore/page/animation/CSSPropertyAnimation.cpp:977:  Wrong number of spaces before statement. (expected: 12)  [whitespace/indent] [4]
ERROR: Source/WebCore/page/animation/CSSPropertyAnimation.cpp:978:  Wrong number of spaces before statement. (expected: 12)  [whitespace/indent] [4]
ERROR: Source/WebCore/page/animation/CSSPropertyAnimation.cpp:984:  Wrong number of spaces before statement. (expected: 12)  [whitespace/indent] [4]
ERROR: Source/WebCore/page/animation/CSSPropertyAnimation.cpp:985:  Wrong number of spaces before statement. (expected: 12)  [whitespace/indent] [4]
ERROR: Source/WebCore/rendering/RenderObject.cpp:1896:  More than one command on the same line  [whitespace/newline] [4]
ERROR: Source/bmalloc/bmalloc/IsoHeapInlines.h:126:  __fastAllocatedClass is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/WebKitLegacy/Storage/StorageThread.cpp:78:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKitLegacy/Storage/StorageThread.cpp:90:  Extra space before ( in function call  [whitespace/parens] [4]
WARNING: File exempt from style guide. Skipping: "Tools/TestWebKitAPI/Tests/WebKitGtk/DOMDOMWindowTest.cpp"
ERROR: Source/WebCore/platform/audio/DenormalDisabler.h:44:  Failed to find complete declaration of class DenormalDisabler  [build/class] [5]
ERROR: Source/WebCore/page/Page.cpp:273:  Code inside a namespace should not be indented.  [whitespace/indent] [4]
ERROR: Source/WebCore/platform/image-decoders/gif/GIFImageReader.cpp:0:  No copyright message found.  You should have a line: "Copyright [year] <Copyright Owner>"  [legal/copyright] [5]
Total errors found: 22 in 1315 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 25 Yusuke Suzuki 2019-08-14 23:26:39 PDT
Created attachment 376360 [details]
Patch
Comment 26 Yusuke Suzuki 2019-08-14 23:31:39 PDT
Created attachment 376362 [details]
Patch
Comment 27 Build Bot 2019-08-14 23:41:01 PDT
Attachment 376362 [details] did not pass style-queue:


ERROR: Source/WebCore/page/UserContentController.cpp:76:  More than one command on the same line  [whitespace/newline] [4]
ERROR: Source/WebCore/page/UserContentController.cpp:103:  More than one command on the same line  [whitespace/newline] [4]
ERROR: Source/WebCore/fileapi/AsyncFileStream.cpp:97:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebCore/layout/layouttree/LayoutBox.cpp:450:  More than one command on the same line  [whitespace/newline] [4]
ERROR: Source/WTF/wtf/FastMalloc.h:304:  __fastAllocatedClass is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/WTF/wtf/FastMalloc.h:310:  __fastAllocatedClass is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Tools/TestWebKitAPI/Tests/WTF/HashMap.cpp:566:  More than one command on the same line  [whitespace/newline] [4]
ERROR: Tools/TestWebKitAPI/Tests/WTF/HashMap.cpp:571:  More than one command on the same line  [whitespace/newline] [4]
ERROR: Tools/TestWebKitAPI/Tests/WTF/HashMap.cpp:608:  More than one command on the same line  [whitespace/newline] [4]
ERROR: Source/bmalloc/bmalloc/IsoHeap.h:85:  __fastAllocatedClass is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/WebCore/dom/KeyboardEvent.cpp:99:  Code inside a namespace should not be indented.  [whitespace/indent] [4]
ERROR: Source/WebCore/page/animation/CSSPropertyAnimation.cpp:977:  Wrong number of spaces before statement. (expected: 12)  [whitespace/indent] [4]
ERROR: Source/WebCore/page/animation/CSSPropertyAnimation.cpp:978:  Wrong number of spaces before statement. (expected: 12)  [whitespace/indent] [4]
ERROR: Source/WebCore/page/animation/CSSPropertyAnimation.cpp:984:  Wrong number of spaces before statement. (expected: 12)  [whitespace/indent] [4]
ERROR: Source/WebCore/page/animation/CSSPropertyAnimation.cpp:985:  Wrong number of spaces before statement. (expected: 12)  [whitespace/indent] [4]
ERROR: Source/WebCore/rendering/RenderObject.cpp:1896:  More than one command on the same line  [whitespace/newline] [4]
ERROR: Source/bmalloc/bmalloc/IsoHeapInlines.h:126:  __fastAllocatedClass is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/WebKitLegacy/Storage/StorageThread.cpp:78:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKitLegacy/Storage/StorageThread.cpp:90:  Extra space before ( in function call  [whitespace/parens] [4]
WARNING: File exempt from style guide. Skipping: "Tools/TestWebKitAPI/Tests/WebKitGtk/DOMDOMWindowTest.cpp"
ERROR: Source/WebCore/platform/audio/DenormalDisabler.h:44:  Failed to find complete declaration of class DenormalDisabler  [build/class] [5]
ERROR: Source/WebCore/page/Page.cpp:273:  Code inside a namespace should not be indented.  [whitespace/indent] [4]
ERROR: Source/WebCore/platform/image-decoders/gif/GIFImageReader.cpp:0:  No copyright message found.  You should have a line: "Copyright [year] <Copyright Owner>"  [legal/copyright] [5]
Total errors found: 22 in 1327 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 28 Yusuke Suzuki 2019-08-15 00:03:34 PDT
Created attachment 376365 [details]
Patch
Comment 29 Build Bot 2019-08-15 00:11:21 PDT
Attachment 376365 [details] did not pass style-queue:


ERROR: Source/WebCore/page/UserContentController.cpp:76:  More than one command on the same line  [whitespace/newline] [4]
ERROR: Source/WebCore/page/UserContentController.cpp:103:  More than one command on the same line  [whitespace/newline] [4]
ERROR: Source/WebCore/fileapi/AsyncFileStream.cpp:97:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebCore/layout/layouttree/LayoutBox.cpp:450:  More than one command on the same line  [whitespace/newline] [4]
ERROR: Source/WTF/wtf/FastMalloc.h:304:  __fastAllocatedClass is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/WTF/wtf/FastMalloc.h:310:  __fastAllocatedClass is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Tools/TestWebKitAPI/Tests/WTF/HashMap.cpp:566:  More than one command on the same line  [whitespace/newline] [4]
ERROR: Tools/TestWebKitAPI/Tests/WTF/HashMap.cpp:571:  More than one command on the same line  [whitespace/newline] [4]
ERROR: Tools/TestWebKitAPI/Tests/WTF/HashMap.cpp:608:  More than one command on the same line  [whitespace/newline] [4]
ERROR: Source/bmalloc/bmalloc/IsoHeap.h:85:  __fastAllocatedClass is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/WebCore/dom/KeyboardEvent.cpp:99:  Code inside a namespace should not be indented.  [whitespace/indent] [4]
ERROR: Source/WebCore/page/animation/CSSPropertyAnimation.cpp:977:  Wrong number of spaces before statement. (expected: 12)  [whitespace/indent] [4]
ERROR: Source/WebCore/page/animation/CSSPropertyAnimation.cpp:978:  Wrong number of spaces before statement. (expected: 12)  [whitespace/indent] [4]
ERROR: Source/WebCore/page/animation/CSSPropertyAnimation.cpp:984:  Wrong number of spaces before statement. (expected: 12)  [whitespace/indent] [4]
ERROR: Source/WebCore/page/animation/CSSPropertyAnimation.cpp:985:  Wrong number of spaces before statement. (expected: 12)  [whitespace/indent] [4]
ERROR: Source/WebCore/rendering/RenderObject.cpp:1896:  More than one command on the same line  [whitespace/newline] [4]
ERROR: Source/bmalloc/bmalloc/IsoHeapInlines.h:126:  __fastAllocatedClass is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/WebKitLegacy/Storage/StorageThread.cpp:78:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKitLegacy/Storage/StorageThread.cpp:90:  Extra space before ( in function call  [whitespace/parens] [4]
WARNING: File exempt from style guide. Skipping: "Tools/TestWebKitAPI/Tests/WebKitGtk/DOMDOMWindowTest.cpp"
ERROR: Source/WebCore/platform/audio/DenormalDisabler.h:44:  Failed to find complete declaration of class DenormalDisabler  [build/class] [5]
ERROR: Source/WebCore/page/Page.cpp:273:  Code inside a namespace should not be indented.  [whitespace/indent] [4]
ERROR: Source/WebCore/platform/image-decoders/gif/GIFImageReader.cpp:0:  No copyright message found.  You should have a line: "Copyright [year] <Copyright Owner>"  [legal/copyright] [5]
Total errors found: 22 in 1329 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 30 Yusuke Suzuki 2019-08-15 01:06:44 PDT
Created attachment 376368 [details]
Patch
Comment 31 Build Bot 2019-08-15 01:12:04 PDT
Attachment 376368 [details] did not pass style-queue:


ERROR: Source/WebCore/page/UserContentController.cpp:76:  More than one command on the same line  [whitespace/newline] [4]
ERROR: Source/WebCore/page/UserContentController.cpp:103:  More than one command on the same line  [whitespace/newline] [4]
ERROR: Source/WebCore/fileapi/AsyncFileStream.cpp:97:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebCore/layout/layouttree/LayoutBox.cpp:450:  More than one command on the same line  [whitespace/newline] [4]
ERROR: Source/WTF/wtf/FastMalloc.h:304:  __fastAllocatedClass is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/WTF/wtf/FastMalloc.h:310:  __fastAllocatedClass is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Tools/TestWebKitAPI/Tests/WTF/HashMap.cpp:566:  More than one command on the same line  [whitespace/newline] [4]
ERROR: Tools/TestWebKitAPI/Tests/WTF/HashMap.cpp:571:  More than one command on the same line  [whitespace/newline] [4]
ERROR: Tools/TestWebKitAPI/Tests/WTF/HashMap.cpp:608:  More than one command on the same line  [whitespace/newline] [4]
ERROR: Source/bmalloc/bmalloc/IsoHeap.h:85:  __fastAllocatedClass is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/WebCore/dom/KeyboardEvent.cpp:99:  Code inside a namespace should not be indented.  [whitespace/indent] [4]
ERROR: Source/WebCore/page/animation/CSSPropertyAnimation.cpp:977:  Wrong number of spaces before statement. (expected: 12)  [whitespace/indent] [4]
ERROR: Source/WebCore/page/animation/CSSPropertyAnimation.cpp:978:  Wrong number of spaces before statement. (expected: 12)  [whitespace/indent] [4]
ERROR: Source/WebCore/page/animation/CSSPropertyAnimation.cpp:984:  Wrong number of spaces before statement. (expected: 12)  [whitespace/indent] [4]
ERROR: Source/WebCore/page/animation/CSSPropertyAnimation.cpp:985:  Wrong number of spaces before statement. (expected: 12)  [whitespace/indent] [4]
ERROR: Source/WebCore/rendering/RenderObject.cpp:1896:  More than one command on the same line  [whitespace/newline] [4]
ERROR: Source/bmalloc/bmalloc/IsoHeapInlines.h:126:  __fastAllocatedClass is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/WebKitLegacy/Storage/StorageThread.cpp:78:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKitLegacy/Storage/StorageThread.cpp:90:  Extra space before ( in function call  [whitespace/parens] [4]
WARNING: File exempt from style guide. Skipping: "Tools/TestWebKitAPI/Tests/WebKitGtk/DOMDOMWindowTest.cpp"
ERROR: Source/WebCore/platform/audio/DenormalDisabler.h:44:  Failed to find complete declaration of class DenormalDisabler  [build/class] [5]
ERROR: Source/WebCore/page/Page.cpp:273:  Code inside a namespace should not be indented.  [whitespace/indent] [4]
ERROR: Source/WebCore/platform/image-decoders/gif/GIFImageReader.cpp:0:  No copyright message found.  You should have a line: "Copyright [year] <Copyright Owner>"  [legal/copyright] [5]
Total errors found: 22 in 1331 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 32 Build Bot 2019-08-15 04:30:47 PDT
Comment on attachment 376368 [details]
Patch

Attachment 376368 [details] did not pass jsc-ews (mac):
Output: https://webkit-queues.webkit.org/results/12916839

New failing tests:
mozilla-tests.yaml/js1_5/Array/regress-101964.js.mozilla-llint
Comment 33 Yusuke Suzuki 2019-08-15 13:46:01 PDT
Created attachment 376417 [details]
Patch
Comment 34 Build Bot 2019-08-15 13:52:45 PDT
Attachment 376417 [details] did not pass style-queue:


ERROR: Source/WebCore/page/UserContentController.cpp:76:  More than one command on the same line  [whitespace/newline] [4]
ERROR: Source/WebCore/page/UserContentController.cpp:103:  More than one command on the same line  [whitespace/newline] [4]
ERROR: Source/WebCore/fileapi/AsyncFileStream.cpp:97:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebCore/layout/layouttree/LayoutBox.cpp:450:  More than one command on the same line  [whitespace/newline] [4]
ERROR: Source/WTF/wtf/FastMalloc.h:304:  __fastAllocatedClass is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/WTF/wtf/FastMalloc.h:310:  __fastAllocatedClass is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Tools/TestWebKitAPI/Tests/WTF/HashMap.cpp:566:  More than one command on the same line  [whitespace/newline] [4]
ERROR: Tools/TestWebKitAPI/Tests/WTF/HashMap.cpp:571:  More than one command on the same line  [whitespace/newline] [4]
ERROR: Tools/TestWebKitAPI/Tests/WTF/HashMap.cpp:608:  More than one command on the same line  [whitespace/newline] [4]
ERROR: Source/bmalloc/bmalloc/IsoHeap.h:85:  __fastAllocatedClass is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/WebCore/dom/KeyboardEvent.cpp:99:  Code inside a namespace should not be indented.  [whitespace/indent] [4]
ERROR: Source/WebCore/page/animation/CSSPropertyAnimation.cpp:977:  Wrong number of spaces before statement. (expected: 12)  [whitespace/indent] [4]
ERROR: Source/WebCore/page/animation/CSSPropertyAnimation.cpp:978:  Wrong number of spaces before statement. (expected: 12)  [whitespace/indent] [4]
ERROR: Source/WebCore/page/animation/CSSPropertyAnimation.cpp:984:  Wrong number of spaces before statement. (expected: 12)  [whitespace/indent] [4]
ERROR: Source/WebCore/page/animation/CSSPropertyAnimation.cpp:985:  Wrong number of spaces before statement. (expected: 12)  [whitespace/indent] [4]
ERROR: Source/WebCore/rendering/RenderObject.cpp:1896:  More than one command on the same line  [whitespace/newline] [4]
ERROR: Source/bmalloc/bmalloc/IsoHeapInlines.h:126:  __fastAllocatedClass is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/WebKitLegacy/Storage/StorageThread.cpp:78:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKitLegacy/Storage/StorageThread.cpp:90:  Extra space before ( in function call  [whitespace/parens] [4]
WARNING: File exempt from style guide. Skipping: "Tools/TestWebKitAPI/Tests/WebKitGtk/DOMDOMWindowTest.cpp"
ERROR: Source/WebCore/platform/audio/DenormalDisabler.h:44:  Failed to find complete declaration of class DenormalDisabler  [build/class] [5]
ERROR: Source/WebCore/page/Page.cpp:273:  Code inside a namespace should not be indented.  [whitespace/indent] [4]
ERROR: Source/WebCore/platform/image-decoders/gif/GIFImageReader.cpp:0:  No copyright message found.  You should have a line: "Copyright [year] <Copyright Owner>"  [legal/copyright] [5]
Total errors found: 22 in 1331 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 35 Geoffrey Garen 2019-08-15 14:17:18 PDT
Comment on attachment 376417 [details]
Patch

r=me

Looks like this caught lots of optimization opportunities without adding undue complexity. Nice!

Might be worth emailing webkit-dev to share this change in style.

Probably good to let EWS finish before landing.
Comment 36 Darin Adler 2019-08-15 14:54:31 PDT
Comment on attachment 376417 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=376417&action=review

There’s another way to stage this.

A) Add WTF_MAKE_FAST_ALLOCATED because of things that we learned from making this change locally.

B) Change callers from std::make_unique to WTF::makeUnique.

C) Add the checking that makes it a compilation failure to use makeUnique without WTF_MAKE_FAST_ALLOCATED.

What I like about this staging is that each patch is safe on its own, and can even be broken into multiple smaller pieces if needed. And patch C is small and easy to roll in and out.

You can do it in the order A, B, C, or B, A, C, or any order as long as it culminates in C.

> Source/WTF/wtf/FastMalloc.h:304
> +typedef int __fastAllocatedClass; \

Since this is new code, why not "using" instead of "typedef"?

Let's not use "double underscore", which is reserved in the language; many other patterns are not reserved.

> Source/WebCore/Modules/encryptedmedia/legacy/LegacyCDM.h:54
> -class LegacyCDM {
> +class LegacyCDM final {
> +    WTF_MAKE_FAST_ALLOCATED;

One technique I have used in the past is to land all these changes separately first. Then
Comment 37 Darin Adler 2019-08-15 14:56:41 PDT
Comment on attachment 376417 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=376417&action=review

Doing it all at once is probably OK too. Just harder to roll out if there’s a problem.

I guess there’s also:

D) Add a check-webkit-style verifier to complain if we use std::make_unique.

E) Do some trick to make it a compiler error if we accidentally use std::make_unique.

>> Source/WebCore/Modules/encryptedmedia/legacy/LegacyCDM.h:54
>> +    WTF_MAKE_FAST_ALLOCATED;
> 
> One technique I have used in the past is to land all these changes separately first. Then

I was just pointing out that this could be part of a patch (A) that I mentioned.
Comment 38 Alex Christensen 2019-08-15 16:00:03 PDT
Comment on attachment 376417 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=376417&action=review

> Source/WTF/benchmarks/LockFairnessTest.cpp:64
> +        std::unique_ptr<unsigned[]> counts = makeUniqueWithoutFastMallocCheck<unsigned[]>(numThreads);

Isn't this what makeUniqueArray is for?
Comment 39 Yusuke Suzuki 2019-08-15 16:15:36 PDT
(In reply to Darin Adler from comment #36)
> Comment on attachment 376417 [details]
> Patch
> 
> View in context:
> https://bugs.webkit.org/attachment.cgi?id=376417&action=review
> 
> There’s another way to stage this.
> 
> A) Add WTF_MAKE_FAST_ALLOCATED because of things that we learned from making
> this change locally.
> 
> B) Change callers from std::make_unique to WTF::makeUnique.
> 
> C) Add the checking that makes it a compilation failure to use makeUnique
> without WTF_MAKE_FAST_ALLOCATED.
> 
> What I like about this staging is that each patch is safe on its own, and
> can even be broken into multiple smaller pieces if needed. And patch C is
> small and easy to roll in and out.
> 
> You can do it in the order A, B, C, or B, A, C, or any order as long as it
> culminates in C.

This sounds nice! I'll mechanically split this patch into these pieces and land them separately for roll-out ease.

> 
> > Source/WTF/wtf/FastMalloc.h:304
> > +typedef int __fastAllocatedClass; \
> 
> Since this is new code, why not "using" instead of "typedef"?

Nice, fixed.

> 
> Let's not use "double underscore", which is reserved in the language; many
> other patterns are not reserved.

I'll use very long word instead, like, `webkitFastAllocatedClass` etc.

> 
> > Source/WebCore/Modules/encryptedmedia/legacy/LegacyCDM.h:54
> > -class LegacyCDM {
> > +class LegacyCDM final {
> > +    WTF_MAKE_FAST_ALLOCATED;
> 
> One technique I have used in the past is to land all these changes
> separately first. Then

(In reply to Darin Adler from comment #37)
> Comment on attachment 376417 [details]
> Patch
> 
> View in context:
> https://bugs.webkit.org/attachment.cgi?id=376417&action=review
> 
> Doing it all at once is probably OK too. Just harder to roll out if there’s
> a problem.
> 
> I guess there’s also:
> 
> D) Add a check-webkit-style verifier to complain if we use std::make_unique.

While I'll land separate three patches as A-C in this bug, I'll create a patch for D and upload it to a separate bug for review :)

> 
> E) Do some trick to make it a compiler error if we accidentally use
> std::make_unique.

ThirdParty code (libwebrtc etc.) is still using std::make_unique, and the header having std::make_unique can be included in WebKit project, so maybe, it is difficult.

> 
> >> Source/WebCore/Modules/encryptedmedia/legacy/LegacyCDM.h:54
> >> +    WTF_MAKE_FAST_ALLOCATED;
> > 
> > One technique I have used in the past is to land all these changes separately first. Then
> 
> I was just pointing out that this could be part of a patch (A) that I
> mentioned.

(In reply to Alex Christensen from comment #38)
> Comment on attachment 376417 [details]
> Patch
> 
> View in context:
> https://bugs.webkit.org/attachment.cgi?id=376417&action=review
> 
> > Source/WTF/benchmarks/LockFairnessTest.cpp:64
> > +        std::unique_ptr<unsigned[]> counts = makeUniqueWithoutFastMallocCheck<unsigned[]>(numThreads);
> 
> Isn't this what makeUniqueArray is for?

Right. Fixed :)
Comment 40 Yusuke Suzuki 2019-08-15 20:31:15 PDT
Created attachment 376470 [details]
A: Annotation Patch
Comment 41 Build Bot 2019-08-15 20:34:42 PDT
Attachment 376470 [details] did not pass style-queue:


ERROR: Source/WebCore/platform/audio/DenormalDisabler.h:44:  Failed to find complete declaration of class DenormalDisabler  [build/class] [5]
Total errors found: 1 in 405 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 42 Yusuke Suzuki 2019-08-15 23:49:58 PDT
Tested iOS locally.
Comment 43 Yusuke Suzuki 2019-08-15 23:53:46 PDT
Committed r248762: <https://trac.webkit.org/changeset/248762>
Comment 44 Radar WebKit Bug Importer 2019-08-15 23:54:28 PDT
<rdar://problem/54379870>
Comment 45 Yusuke Suzuki 2019-08-15 23:56:34 PDT
(In reply to Yusuke Suzuki from comment #43)
> Committed r248762: <https://trac.webkit.org/changeset/248762>

"A" patch goes. I'll upload the "B" patch, and land it tomorrow. And after that, I'll land "C" patch. Then, announcing makeUnique in webkit-dev and open a new bug for "D" patch.
Comment 46 Yusuke Suzuki 2019-08-15 23:58:05 PDT
(In reply to Yusuke Suzuki from comment #45)
> (In reply to Yusuke Suzuki from comment #43)
> > Committed r248762: <https://trac.webkit.org/changeset/248762>
> 
> "A" patch goes. I'll upload the "B" patch, and land it tomorrow. And after
> that, I'll land "C" patch. Then, announcing makeUnique in webkit-dev and
> open a new bug for "D" patch.

One of the good thing this patch found is that we missed this annotation even in recent code, like Source/WebCore/layout/inlineformatting/InlineItem.h.
After introducing makeUnique, we no longer have this!
Comment 47 Yusuke Suzuki 2019-08-16 02:04:41 PDT
Reopening to attach new patch.
Comment 48 Yusuke Suzuki 2019-08-16 02:05:49 PDT
Created attachment 376485 [details]
B: makeUnique / makeUniqueWithoutFastMallocCheck
Comment 49 Yusuke Suzuki 2019-08-16 02:10:09 PDT
Created attachment 376486 [details]
B: makeUnique / makeUniqueWithoutFastMallocCheck
Comment 50 Build Bot 2019-08-16 02:17:05 PDT
Attachment 376486 [details] did not pass style-queue:


ERROR: Source/WebCore/page/UserContentController.cpp:76:  More than one command on the same line  [whitespace/newline] [4]
ERROR: Source/WebCore/page/UserContentController.cpp:103:  More than one command on the same line  [whitespace/newline] [4]
ERROR: Source/WebCore/fileapi/AsyncFileStream.cpp:97:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebCore/layout/layouttree/LayoutBox.cpp:450:  More than one command on the same line  [whitespace/newline] [4]
ERROR: Tools/TestWebKitAPI/Tests/WTF/HashMap.cpp:566:  More than one command on the same line  [whitespace/newline] [4]
ERROR: Tools/TestWebKitAPI/Tests/WTF/HashMap.cpp:571:  More than one command on the same line  [whitespace/newline] [4]
ERROR: Tools/TestWebKitAPI/Tests/WTF/HashMap.cpp:608:  More than one command on the same line  [whitespace/newline] [4]
ERROR: Source/WebCore/dom/KeyboardEvent.cpp:99:  Code inside a namespace should not be indented.  [whitespace/indent] [4]
ERROR: Source/WebCore/page/animation/CSSPropertyAnimation.cpp:977:  Wrong number of spaces before statement. (expected: 12)  [whitespace/indent] [4]
ERROR: Source/WebCore/page/animation/CSSPropertyAnimation.cpp:978:  Wrong number of spaces before statement. (expected: 12)  [whitespace/indent] [4]
ERROR: Source/WebCore/page/animation/CSSPropertyAnimation.cpp:984:  Wrong number of spaces before statement. (expected: 12)  [whitespace/indent] [4]
ERROR: Source/WebCore/page/animation/CSSPropertyAnimation.cpp:985:  Wrong number of spaces before statement. (expected: 12)  [whitespace/indent] [4]
ERROR: Source/WebCore/rendering/RenderObject.cpp:1896:  More than one command on the same line  [whitespace/newline] [4]
ERROR: Source/WebKitLegacy/Storage/StorageThread.cpp:78:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKitLegacy/Storage/StorageThread.cpp:90:  Extra space before ( in function call  [whitespace/parens] [4]
WARNING: File exempt from style guide. Skipping: "Tools/TestWebKitAPI/Tests/WebKitGtk/DOMDOMWindowTest.cpp"
ERROR: Source/WebCore/page/Page.cpp:273:  Code inside a namespace should not be indented.  [whitespace/indent] [4]
ERROR: Source/WebCore/platform/image-decoders/gif/GIFImageReader.cpp:0:  No copyright message found.  You should have a line: "Copyright [year] <Copyright Owner>"  [legal/copyright] [5]
Total errors found: 17 in 1018 files


If any of these errors are false positives, please file a bug against check-webkit-style.